<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Bank Reconciliation{% endtrans %}</title>
  <style media="screen">
  .shadow {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }
  label {
		font-size: 90%;
	}
  </style>
</head>
<body>
  <div style="padding-top:5px" class="container-fluid mainbox col-md-6 col-md-offset-3">
    <div class="panel shadow">
      <div class="panel-heading">
        <h3 class="panel-title">{% trans %}Bank Reconciliation{% endtrans %}
        <i class="fa fa-question-circle pull-right" style="font-size:16px;color:white;"data-toggle="modal" data-target="#bankRecModal"></i>
      </h3></div>
      <div class="panel-body" style="padding-top:5px">
        <div class="alert alert-danger" id="date-alert" aria-live="rude" role="alert" hidden>

          <label for="viewbankrecon_fromdate">{% trans %}Please enter date in proper format!{% endtrans %}</label>
        </div>
        <div class="alert alert-danger" id="between-date-alert" aria-live="rude" role="alert" hidden>

          <label for="viewbankrecon_fromdate">{% trans %}Please enter date from within the financial year!{% endtrans %}</label>
        </div>
        <div class="alert alert-danger" id="compare-date-alert" aria-live="rude" role="alert" hidden>

          <label for="viewbankrecon_todate">{% trans %}'From Date' should be smaller or equal to 'To Date' !{% endtrans %}</label>
        </div>
        <div class="alert alert-danger" id="account-blank-alert" aria-live="rude" role="alert" hidden>

          <label for="viewbankrecon_accname">{% trans %}Please select an account!{% endtrans %}</label>
        </div>
        <div style="margin-bottom: 5px" class="col-xs-12 from-group">
          <label for="viewbankrecon_accname">{% trans %}Account Name{% endtrans %} :</label><label for="viewbankrecon_accname" style="color:red;font-size: 120%;">*</label>
          <select class = "form-control input-sm" id="viewbankrecon_accname"  name = "viewbankrecon_accname" >
            <option value="" disabled selected hidden>{% trans %}Select Account{% endtrans %}</option>
            {% for accs in gkresult %}
            <option value="{{accs['accountcode']}}">{{accs["accountname"]}}</option>
            {% endfor %}
          </select>
          <br>

          <label for="viewbankrecon_fromdate">{% trans %}From Date{% endtrans %} :</label>
          <div class="form-inline" >

            <div class="form-group">

              <input type="text" class="viewbankrecon_date form-control input-sm dis" id="viewbankrecon_fromdate" value="" size="2" maxlength="2" placeholder="DD" accesskey="d">
              <input type="text" id="viewbankrecon_frommonth" class="viewbankrecon_date dis form-control input-sm" value="" size="2" maxlength="2" placeholder="MM" >
              <input type="text" id="viewbankrecon_fromyear" class="viewbankrecon_date dis form-control input-sm" value="" size="4" maxlength="4" placeholder="YYYY" >
            </div>

          </div>
          <br>
          <label for="viewbankrecon_todate">{% trans %}To Date{% endtrans %} :</label>
          <div class="form-inline" >

            <div class="form-group">

              <input type="text" class="viewbankrecon_date form-control input-sm dis" id="viewbankrecon_todate" value="" size="2" maxlength="2" placeholder="DD" >
              <input type="text" id="viewbankrecon_tomonth" class="viewbankrecon_date form-control input-sm dis" value="" size="2" maxlength="2" placeholder="MM" >
              <input type="text" id="viewbankrecon_toyear" class="viewbankrecon_date form-control input-sm dis" value="" size="4" maxlength="4" placeholder="YYYY" >
            </div>
          </div>
          <br>
          <label> <input type="checkbox" class="dis" id="viewbankrecon_nar" >{% trans %}Narration{% endtrans %}</label>

        </div>
      </div>
  <div id="bankRecModal"  tabindex="-1" class="modal fade" role="dialog"style="width:650px; margin-top: 150px; margin-left:300px;"  aria-hidden="true">
  	<div class="modal-dialog bgcolor " >
   	 <div class="modal-content ">
    	<div class="modal-header">
      		{% trans %}<strong>Help!</strong>{% endtrans %}
   			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button> </div>
      <div class="modal-body" style="text-align: justify; text-justify: inter-word;">

       <p>   <font color=" #566573"> {%trans%}
This screen let's you reconcile your bank accounts.</br>
Select bank name from the drop down, specify the period for which reconciliation is to be done, to view narrations click on the Narration check box and press Enter key. </br>A new screen opens with a list of records of the specified bank for the specified period with two additional columns. The first is Clearance Date and the second is Memo. Clearance Date is the date of a transaction apearing in the Bank Statement.
{% endtrans %} </font>

        </p>
      </div>

    </div>
  </div>
</div>
      <div class="panel-footer">
        <button class="btn btn-primary btn-sm" id="viewbankrecon_submit" name="view" accesskey="v"><i class="fa fa-eye" aria-hidden="true"></i> {% trans %}<u>V</u>iew{% endtrans %}</button>
        <button id="viewbankrecon_reset" class="btn btn-danger btn-sm" accesskey="e"><i class="fa fa-refresh" aria-hidden="true"></i>  {% trans %}R<u>e</u>set{% endtrans %}</button>

      </div>
    </div>
  </div>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/viewbankrecon.js')}}"></script>
</body>
</html>
